org.apache.catalina.authenticator

## Class SpnegoAuthenticator.AuthenticateAction

- java.lang.Object
- - org.apache.catalina.authenticator.SpnegoAuthenticator.AuthenticateAction

- All Implemented Interfaces:
    PrivilegedAction<Principal>
  Enclosing class:
    SpnegoAuthenticator

      public static class SpnegoAuthenticator.AuthenticateAction
      extends Object
      implements PrivilegedAction<Principal>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticateAction(Realm realm, GSSContext gssContext, boolean storeDelegatedCredential)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Principal` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticateAction

          public AuthenticateAction(Realm realm,
                                    GSSContext gssContext,
                                    boolean storeDelegatedCredential)

  - ### Method Detail

    - #### run

          public Principal run()

      Specified by:
        `run` in interface `PrivilegedAction<Principal>`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.